commit:     c92daf0d6805864aafb6d8f092cc41784f359371
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 20 11:11:37 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Mar 20 11:11:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c92daf0d

x11-misc/xaos: Port to EAPI 7

Bug: https://bugs.gentoo.org/776418
Closes: https://bugs.gentoo.org/726212
Closes: https://bugs.gentoo.org/732414
Closes: https://bugs.gentoo.org/742824
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 x11-misc/xaos/files/xaos-3.4-include.patch       |  4 +-
 x11-misc/xaos/files/xaos-3.4-png.patch           | 11 ---
 x11-misc/xaos/files/xaos-3.6-buildsystem.patch   | 86 +++++++++++++++++++++
 x11-misc/xaos/files/xaos-3.6-locale-dir.patch    | 11 ---
 x11-misc/xaos/files/xaos-3.6-no-auto-strip.patch | 20 -----
 x11-misc/xaos/xaos-3.6.ebuild                    | 96 ++++++++++++------------
 6 files changed, 134 insertions(+), 94 deletions(-)

diff --git a/x11-misc/xaos/files/xaos-3.4-include.patch 
b/x11-misc/xaos/files/xaos-3.4-include.patch
index 65f7b8c5630..3659ccc35a8 100644
--- a/x11-misc/xaos/files/xaos-3.4-include.patch
+++ b/x11-misc/xaos/files/xaos-3.4-include.patch
@@ -1,5 +1,5 @@
---- src/util/thread.c.orig     2009-03-28 10:50:49.817619387 +0000
-+++ src/util/thread.c  2009-03-28 10:59:40.048185946 +0000
+--- a/src/util/thread.c
++++ b/src/util/thread.c
 @@ -1,3 +1,4 @@
 +#include <stdlib.h>
  #ifndef _plan9_

diff --git a/x11-misc/xaos/files/xaos-3.4-png.patch 
b/x11-misc/xaos/files/xaos-3.4-png.patch
deleted file mode 100644
index 454f8acaa99..00000000000
--- a/x11-misc/xaos/files/xaos-3.4-png.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- configure.in.orig  2009-03-28 09:50:18.764999182 +0000
-+++ configure.in       2009-03-28 09:49:18.685947638 +0000
-@@ -98,7 +98,7 @@
- AC_ARG_WITH(png,
-         [  --with-png=yes/no       enables/disables PNG saving support],[
-       if test x$withval = xyes; then
--        png=test
-+        png=yes
-       fi
-       if test x$withval = xno; then
-         png=no

diff --git a/x11-misc/xaos/files/xaos-3.6-buildsystem.patch 
b/x11-misc/xaos/files/xaos-3.6-buildsystem.patch
new file mode 100644
index 00000000000..6cdb38ce640
--- /dev/null
+++ b/x11-misc/xaos/files/xaos-3.6-buildsystem.patch
@@ -0,0 +1,86 @@
+--- a/configure.in
++++ b/configure.in
+@@ -11,7 +11,6 @@
+ 
+ AC_PROG_CC
+ AX_COMPILER_VENDOR
+-AX_CC_MAXOPT
+ 
+ dnl
+ dnl GNU gettext related things
+@@ -86,7 +85,7 @@
+ AC_ARG_WITH(png,
+         [  --with-png=yes/no       enables/disables PNG saving support],[
+       if test x$withval = xyes; then
+-        png=test
++        png=yes
+       fi
+       if test x$withval = xno; then
+         png=no
+@@ -141,7 +140,7 @@
+ dnl Checks for programs.
+ 
+ DRIVERDIRS=""
+-LOCALEDIR="/usr/share/locale"
++LOCALEDIR="$prefix/share/locale"
+ DRIVERLIBS="lib/libui.a lib/libui-hlp.a lib/libengine.a lib/libutil.a 
lib/libfilter.a"
+ AC_PROG_INSTALL
+ 
+@@ -422,7 +421,7 @@
+ AC_SUBST(REALTOPDIR)
+ BINPATH="$REALTOPDIR/bin"
+ AC_SUBST(BINPATH)
+-AR="ar"
++AC_CHECK_TOOL([AR], [ar])
+ AC_SUBST(AR)
+ SRCPATH="$REALTOPDIR/src"
+ AC_SUBST(SRCPATH)
+@@ -450,7 +449,7 @@
+     echo "using GSL for complex numbers"
+     GSL_LIBS=`$GSL_CONFIG --libs`
+     GSL_CFLAGS=`$GSL_CONFIG --cflags`
+-    CFLAGS="$CFLAGS $GSL_CFLAGS -fomit-frame-pointer -DSFFE_USING 
-DSFFE_CMPLX_GSL"
++    CFLAGS="$CFLAGS $GSL_CFLAGS -DSFFE_USING -DSFFE_CMPLX_GSL"
+     DRIVERLIBS="$DRIVERLIBS lib/libsffe.a"
+     ASM_CMPLX_O=""
+   fi 
+@@ -473,8 +472,6 @@
+   fi
+  fi
+  echo "------------------------------------------------------------"
+-else
+-      CFLAGS="$CFLAGS -fomit-frame-pointer"
+ fi
+ 
+ 
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -36,7 +36,7 @@
+       @INSTALL@ -d $(DESTDIR)$(datadir)/XaoS/help
+       @INSTALL@ -d $(DESTDIR)$(bindir)
+       @INSTALL@ -d $(DESTDIR)$(mandir)/man6
+-      @INSTALL@ -s bin/xaos $(DESTDIR)$(bindir)
++      @INSTALL@ bin/xaos $(DESTDIR)$(bindir)
+       @INSTALL@ -m 444 tutorial/*.x[ah]f $(DESTDIR)$(datadir)/XaoS/tutorial
+ 
+       @INSTALL@ -m 444 examples/README $(DESTDIR)$(datadir)/XaoS/examples
+@@ -49,7 +49,7 @@
+ 
+       @INSTALL@ -m 444 catalogs/*.cat catalogs/README 
$(DESTDIR)$(datadir)/XaoS/catalogs
+       @INSTALL@ -m 444 help/xaos.hlp $(DESTDIR)$(datadir)/XaoS/help
+-      @INSTALL@ -m 444 AUTHORS NEWS COPYING TODO INSTALL ChangeLog 
ChangeLog.old $(DESTDIR)$(datadir)/XaoS/doc
++      @INSTALL@ -m 444 AUTHORS NEWS TODO ChangeLog ChangeLog.old 
$(DESTDIR)$(datadir)/XaoS/doc
+       @INSTALL@ -m 444 doc/xaos.6 $(DESTDIR)$(mandir)/man6
+       test -z "$(infodir)" || @INSTALL@ -d "$(DESTDIR)$(infodir)"
+       @INSTALL@ -m 444 doc/xaos.info $(DESTDIR)$(infodir)/xaos.info
+--- a/src/ui/ui-drv/gtk/Makefile.in
++++ b/src/ui/ui-drv/gtk/Makefile.in
+@@ -2,7 +2,7 @@
+ CFLAGS = @CFLAGS@
+ LIBS   = @LIBS@ -lm
+ LFLAGS = @LDFLAGS@
+-#AR     = @AR@
++AR     = @AR@
+ RANLIB = @RANLIB@
+ 
+ SRCS = ui_gtk.c 

diff --git a/x11-misc/xaos/files/xaos-3.6-locale-dir.patch 
b/x11-misc/xaos/files/xaos-3.6-locale-dir.patch
deleted file mode 100644
index 740f32d1898..00000000000
--- a/x11-misc/xaos/files/xaos-3.6-locale-dir.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- configure.in.orig  2014-06-09 10:54:18.459186718 -0700
-+++ configure.in       2014-06-09 10:56:47.472204763 -0700
-@@ -141,7 +141,7 @@
- dnl Checks for programs.
- 
- DRIVERDIRS=""
--LOCALEDIR="/usr/share/locale"
-+LOCALEDIR="$prefix/share/locale"
- DRIVERLIBS="lib/libui.a lib/libui-hlp.a lib/libengine.a lib/libutil.a 
lib/libfilter.a"
- AC_PROG_INSTALL
- 

diff --git a/x11-misc/xaos/files/xaos-3.6-no-auto-strip.patch 
b/x11-misc/xaos/files/xaos-3.6-no-auto-strip.patch
deleted file mode 100644
index ab6e6b56a9b..00000000000
--- a/x11-misc/xaos/files/xaos-3.6-no-auto-strip.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- Makefile.in.orig   2014-06-09 10:42:00.574129368 -0700
-+++ Makefile.in        2014-06-09 10:43:04.035568767 -0700
-@@ -36,7 +36,7 @@
-       @INSTALL@ -d $(DESTDIR)$(datadir)/XaoS/help
-       @INSTALL@ -d $(DESTDIR)$(bindir)
-       @INSTALL@ -d $(DESTDIR)$(mandir)/man6
--      @INSTALL@ -s bin/xaos $(DESTDIR)$(bindir)
-+      @INSTALL@ bin/xaos $(DESTDIR)$(bindir)
-       @INSTALL@ -m 444 tutorial/*.x[ah]f $(DESTDIR)$(datadir)/XaoS/tutorial
- 
-       @INSTALL@ -m 444 examples/README $(DESTDIR)$(datadir)/XaoS/examples
-@@ -49,7 +49,7 @@
- 
-       @INSTALL@ -m 444 catalogs/*.cat catalogs/README 
$(DESTDIR)$(datadir)/XaoS/catalogs
-       @INSTALL@ -m 444 help/xaos.hlp $(DESTDIR)$(datadir)/XaoS/help
--      @INSTALL@ -m 444 AUTHORS NEWS COPYING TODO INSTALL ChangeLog 
ChangeLog.old $(DESTDIR)$(datadir)/XaoS/doc
-+      @INSTALL@ -m 444 AUTHORS NEWS TODO ChangeLog ChangeLog.old 
$(DESTDIR)$(datadir)/XaoS/doc
-       @INSTALL@ -m 444 doc/xaos.6 $(DESTDIR)$(mandir)/man6
-       test -z "$(infodir)" || @INSTALL@ -d "$(DESTDIR)$(infodir)"
-       @INSTALL@ -m 444 doc/xaos.info $(DESTDIR)$(infodir)/xaos.info

diff --git a/x11-misc/xaos/xaos-3.6.ebuild b/x11-misc/xaos/xaos-3.6.ebuild
index 8f8963c98d1..b882b13e3fe 100644
--- a/x11-misc/xaos/xaos-3.6.ebuild
+++ b/x11-misc/xaos/xaos-3.6.ebuild
@@ -1,51 +1,52 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils eutils
+inherit autotools desktop
 
 DESCRIPTION="Very fast real-time fractal zoomer"
 HOMEPAGE="http://matek.hu/xaos/doku.php";
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
+SRC_URI="
+       mirror://sourceforge/${PN}/${P}.tar.gz
        https://dev.gentoo.org/~jlec/distfiles/${PN}.png.tar";
 
-SLOT="0"
 LICENSE="GPL-2"
+SLOT="0"
 KEYWORDS="amd64 ppc sparc x86 ~amd64-linux ~x86-linux"
 IUSE="aalib doc -gtk nls png svga threads X"
 
 RDEPEND="
-       sci-libs/gsl:0=
-       sys-libs/zlib:0=
-       aalib? ( media-libs/aalib:0= )
-       gtk? ( x11-libs/gtk+:2= )
-       nls? ( sys-devel/gettext )
+       sci-libs/gsl:=
+       sys-libs/zlib
+       aalib? ( media-libs/aalib )
+       gtk? ( x11-libs/gtk+:2 )
        png? ( media-libs/libpng:0= )
-       X? ( x11-libs/libX11:0=
-                x11-libs/libXext:0=
-                x11-libs/libXxf86vm:0= )"
-
+       X? (
+               x11-libs/libX11
+               x11-libs/libXext
+               x11-libs/libXxf86vm
+       )"
 DEPEND="${RDEPEND}
+       X? ( x11-base/xorg-proto )"
+BDEPEND="
        virtual/pkgconfig
        doc? ( virtual/texi2dvi )
-       X? ( x11-base/xorg-proto )"
+       nls? ( sys-devel/gettext )"
 
 PATCHES=(
-       "${FILESDIR}"/${PN}-3.4-png.patch
+       "${FILESDIR}"/${PN}-3.6-buildsystem.patch
        "${FILESDIR}"/${PN}-3.4-include.patch
        "${FILESDIR}"/${PN}-3.5-build-fix-i686.patch
-       "${FILESDIR}"/${PN}-3.6-locale-dir.patch
-       "${FILESDIR}"/${PN}-3.6-no-auto-strip.patch
 )
 
 src_prepare() {
-       autotools-utils_src_prepare
+       default
+       mv configure.{in,ac} || die
+       eautoreconf
+
        if use nls; then
-               if [[ "${LINGUAS+set}" == "set" ]]; then
+               if [[ ${LINGUAS+set} == set ]]; then
                        strip-linguas -i src/i18n
                        sed -i -e '/^ALL_LINGUAS=/d' configure || die
                        export ALL_LINGUAS="${LINGUAS}"
@@ -56,41 +57,36 @@ src_prepare() {
 }
 
 src_configure() {
-       local myeconfargs=(
-               --with-sffe=yes
-               --with-gsl=yes
-               $(use_enable nls)
-               $(use_with png)
-               $(use_with aalib aa-driver)
-               $(use_with gtk gtk-driver)
-               $(use_with threads pthread)
-               $(use_with X x11-driver)
+       econf \
+               --with-sffe=yes \
+               --with-gsl=yes \
+               $(use_enable nls) \
+               $(use_with png) \
+               $(use_with aalib aa-driver) \
+               $(use_with gtk gtk-driver) \
+               $(use_with threads pthread) \
+               $(use_with X x11-driver) \
                $(use_with X x)
-       )
-       autotools-utils_src_configure
 }
 
 src_compile() {
-       autotools-utils_src_compile
+       default
+
        if use doc; then
-               cd "${BUILD_DIR}"/doc
-               emake xaos.dvi
-               dvipdf xaos.dvi || die
-               cd "${BUILD_DIR}"/help
-               emake html
+               emake -C doc xaos.dvi
+               dvipdf doc/xaos.dvi || die
+
+               emake -C help html
+               rm -r help/rest || die
+               HTML_DOCS=( help/. )
        fi
 }
 
 src_install() {
-       autotools-utils_src_install
-       if use doc; then
-               insinto /usr/share/doc/${PF}
-               doins doc/xaos.pdf
-               dohtml -r help/*
-       fi
-       local driver="x11"
-       use gtk && driver="\"GTK+ Driver\""
-       make_desktop_entry "xaos -driver ${driver}" "XaoS Fractal Zoomer" \
-               xaos "Application;Education;Math;Graphics;"
+       default
+       use doc && dodoc xaos.pdf
+
+       make_desktop_entry "xaos -driver $(usex gtk '"GTK+ Driver"' x11)" "XaoS 
Fractal Zoomer" \
+               xaos "Education;Math;Graphics;"
        doicon "${WORKDIR}"/${PN}.png
 }

Reply via email to